Subject: bug#52384: [External] : bug#52384: 26.3; dired buffer navigation tweak

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Dec 2021 22:10:40 +0200

>> > This is that thread:
>> > https://lists.gnu.org/archive/html/emacs-devel/2007-09/msg01976.html
>> >
>> > Checking your and my posts (and others) in that
>> > thread, I find nothing about any of this.  Could
>> > you point to the message(s) you're referring to?
>> > A URL would be good.
>>
>> Strange, I have a message in the archive from 24 Sep,
>> but it doesn't exist on the thread that you posted.
>
> Could you please post the URL to that message,
> whatever thread it might be in?

Maybe this?  I'm not sure.
https://lists.gnu.org/archive/html/emacs-devel/2007-09/msg02142.html

>> > More importantly, `<' and `>' going to the first
>> > and last file, respectively, has nothing to do with
>> > wraparound.  So if that's what you suggested or
>> > implemented, it's something else entirely.
>>
>> I suggested to use TAB that goes to the next file
>> and wraps around at boundaries.  Then '>' could be
>> reused to go to the last file.
>
> I see.  Apparently I didn't see or notice your
> suggestion.
>
>> Maybe then like there is a user option `ls-lisp-dirs-first'
>> for ls-lisp.el, a similar option should be added to dired as well,
>> so users won't need to manually add "--group-directories-first"
>> to `dired-listing-switches'.  Do you agree?
>
> That's kinda outside the scope of this bug thread.
> But yes, FWIW I agree: I think such an option
> would make sense.
>
> (Not that my opinion would make any difference.)
>
> Probably `ls-lisp-dirs-first' should take precedence,
> however, as someone might well want dirs-first only
> on MS Windows (or more generally, when `ls-lisp.el'
> is loaded).